Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class ElementIterator

    java.lang.Object
      |
      +--javax.swing.text.ElementIterator

public class ElementIterator
extends java.lang.Object
implements java.lang.Cloneable

ElementIterator, as the name suggests, iteratates over the Element tree. The constructor can be invoked with either Document or an Element as an argument. If the constructor is invoked with a Document as an argument then the root of the iteration is the return value of document.getDefaultRootElement(). The iteration happens in a depth-first manner. In terms of how boundary conditions are handled: a) if next() is called before first() or current(), the root will be returned. b) next() returns null to indicate the end of the list. c) previous() returns null when the current element is the root or next() has returned null. The ElementIterator does no locking of the Element tree. This means that it does not track any changes. It is the responsibility of the user of this class, to ensure that no changes happen during element iteration. Simple usage example: public void iterate() { ElementIterator it = new ElementIterator(root); Element elem; while (true) { if ((elem = next()) != null) { // process element System.out.println("elem: " + elem.getName()); } else { break; } } }

Constructor Summary
`ElementIterator(Document document)` Creates a new ElementIterator.
`ElementIterator(Element root)` Creates a new ElementIterator.

Method Summary
`java.lang.Object` | `clone()` Clones the ElementIterator.
`Element` | `current()` Fetches the current Element.
`int` | `depth()` Fetches the current depth of element tree.
`Element` | `first()` Fetches the first element.
`Element` | `next()` Fetches the next Element.
`Element` | `previous()` Fetches the previous Element.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementIterator

    public ElementIterator(Document document)

  Creates a new ElementIterator. The root element is taken to get the default root element of the document.
  Parameters:
    `a` - Document.

### ElementIterator

    public ElementIterator(Element root)

  Creates a new ElementIterator.
  Parameters:
    `the` - root Element.

Method Detail

### clone

    public java.lang.Object clone()

  Clones the ElementIterator.
  Returns:
    a cloned ElementIterator Object.
  Overrides:
    clone in class java.lang.Object

### first

    public Element first()

  Fetches the first element.
  Returns:
    an Element.

### depth

    public int depth()

  Fetches the current depth of element tree.
  Returns:
    the depth.

### current

    public Element current()

  Fetches the current Element.

### next

    public Element next()

  Fetches the next Element. The strategy used to locate the next element is a depth-first search.

### previous

    public Element previous()

  Fetches the previous Element. If howver the current element is the last element, or the current element is null, then null is returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.